Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-08-2010 09:00:57

Didier100
Membre
Inscription : 11-08-2010

Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Sur www.kernel.org on peut y trouver en ce moment le dernier kernel 2.6.35.1 .

Je souhaite mettre le kernel de mon serveur debian lenny à jour.

g4:~# uname -r
2.6.26-2-amd64
g4:~#


J'ai actuellement le kernel 2.6.26-2-amd64 ...


g4:~# apt-cache search linux-source
linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
g4:~#


Voila ce que je trouve dans le dépôt ...  aucun kernel au dessus 2.6.26.  J'ai évidement effectue un " apt-get update " avant la recherche.

Voici le contenu de mon fichier /etc/apt/sources.list

#
# deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 NETINST Binary-1 20100627-10:37]/ lenny main

#deb cdrom:[Debian GNU/Linux 5.0.5 _Lenny_ - Official amd64 NETINST Binary-1 20100627-10:37]/ lenny main

deb http://ftp2.fr.debian.org/debian/ lenny main
deb-src http://ftp2.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main


Dans quel dépôt peut on trouver les "kernel packages de debian" avec des kernels récentes?

J'ai suivi ce guide pour la mise à jour du kernel:
http://www.howtoforge.com/kernel_compil … ebian_etch


et la compilation du kernel 2.6.35 se termine avec des erreurs:

  IHEX    firmware/kaweth/trigger_code.bin
  IHEX    firmware/kaweth/new_code_fix.bin
  IHEX    firmware/kaweth/trigger_code_fix.bin
  H16TOFW firmware/edgeport/boot.fw
  H16TOFW firmware/edgeport/boot2.fw
  H16TOFW firmware/edgeport/down.fw
  H16TOFW firmware/edgeport/down2.fw
  IHEX    firmware/edgeport/down3.bin
  IHEX2FW firmware/keyspan_pda/keyspan_pda.fw
  IHEX2FW firmware/keyspan_pda/xircom_pgs.fw
make[1]: quittant le répertoire « /usr/src/linux-2.6.35 »
test ! -e scripts/package/builddeb || mv -f scripts/package/builddeb scripts/package/builddeb.kpk                  g-dist
test ! -e scripts/package/Makefile || test -f scripts/package/Makefile.kpkg-dist || (mv -f script                  s/package/Makefile scripts/package/Makefile.kpkg-dist && (echo "# Dummy file "; echo "help:") >                    scripts/package/Makefile)
COLUMNS=150 dpkg -l 'gcc*' perl dpkg 'libc6*' binutils make dpkg-dev |\
         awk '$1 ~ /[hi]i/ { printf("%s-%s\n", $2, $3) }'> debian/buildinfo
uname -a >> debian/buildinfo
echo using the compiler: >> debian/buildinfo
grep LINUX_COMPILER include/linux/compile.h | \
           sed -e 's/.*LINUX_COMPILER "//' -e 's/"$//' >> debian/buildinfo
grep: include/linux/compile.h: Aucun fichier ou répertoire de ce type
echo applied kernel patches: >> debian/buildinfo
echo done > debian/stamp/build/kernel
/usr/bin/make -f ./debian/rules         debian/stamp/binary/pre-linux-image-2.6.35-dieter
make[1]: entrant dans le répertoire « /usr/src/linux-2.6.35 »
====== making target debian/stamp/install/linux-image-2.6.35-dieter [new prereqs: ]======
This is kernel package version 11.015.
echo "The UTS Release version in include/linux/version.h"; echo "          \"\" "; echo "does not                   match current version:"; echo "           \"2.6.35-dieter\" "; echo "Please correct this."; exit                   2
The UTS Release version in include/linux/version.h
           ""
does not match current version:
           "2.6.35-dieter"
Please correct this.
make[1]: *** [debian/stamp/install/linux-image-2.6.35-dieter] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-2.6.35 »
make: *** [kernel_image] Erreur 2
g4:/usr/src/linux#


Avant d'obtenir les messages d'erreurs j'ai exécuté la commande suivante:

fakeroot make-kpkg --initrd --append-to-version=-dieter kernel_image kernel_headers


Apparemment je suis pas le seul d'avoir ce genre de problème... http://www.developpez.net/forums/d93066 … 4-patauge/

Dernière modification par Didier100 (11-08-2010 09:25:05)

Hors ligne

#2 11-08-2010 17:50:21

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Bonjour et bienvenue sur df Didier100 !

Pour obtenir des dépots de sources qui ne sont plus lenny, il y a la pratique du pinning. smile

Regarde là :
http://debian-facile.org/manuel:configuration:pinning

Et peut-être que grâce à cela, tu pourra avoir accès au dernier noyau linux du côté d'experimental ou de unstable ?
Toutefois, pour un serveur, il est conseillé de rester en stable, tant que ça marche, hein ! wink

Amitié, Jojo smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 11-08-2010 23:29:39

Didier100
Membre
Inscription : 11-08-2010

Re : Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Bonjour smolsky!

Merci pour la Bienvenu. wink

Oui, j'avais déjà fait un essai, avec succès partiel, en ajoutent les dépôts SID dans /etc/apt/sources.list .

J'ai installé le kernel le plus récent que Debian me propose c'est à dire la version " 2.6.32-5-amd64 "

apt-get install linux-source-2.6.32


Mais bon, je suis encore loin du Kernel 2.6.35-1 et en plus mon serveur "experimental" n'est plus en "stable". 

Je vue que la plupart des paquets noyaux sont présente en "binôme" c'est à dire par exemple

linux-patch-debian-2.6.32        - Debian patches to version 2.6.32 of the Linux kernel
linux-source-2.6.32                 - Linux kernel source for version 2.6.32 with Debian patches

Faut-il installer les deux et si OUI dans quel ordre?

Hors ligne

#4 11-08-2010 23:44:00

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Salut,

pour une utilisation serveur, quel intérêt d'avoir le dernier noyau, vaut mieux rester en stable.

Sinon c'est simple tu prends l'archive sur kernel.org. et tu testes la compilation.

Hors ligne

#5 12-08-2010 09:02:12

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Salut,

Je rejoins l'avis de n3os, il faut mieux rester en stable pour un serveur, à moins que tu aies un intérêt particulier à utiliser un 2.6.35. Si tu souhaites juste un noyau plus récent, il n'y a pas besoin d'aller le chercher dans Sid, le 2.6.32 est dans les backports de Lenny.

Juste une chose aussi, tu n'as pas forcément besoin d'installer les paquets linux-source-*, à moins bien sûr que tu souhaites absolument compiler ton noyau. Les noyaux binaires sous Debian commencent par linux-image. Par exemple, pour le 2.6.32 des backports :

apt-get install linux-image-2.6.32-bpo.5-amd64


smile


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#6 13-08-2010 09:09:38

Didier100
Membre
Inscription : 11-08-2010

Re : Mise à jour kernel 2.6.26-2-amd64 - lenny ?

Merci à tous pour les précieux conseils. wink

J'ai trouvé la réponse à une de mes questions évoque dans le 3ème message de cette discussion:

la question était:

Je vue que la plupart des paquets noyaux sont présente en "binôme" c'est à dire par exemple

linux-patch-debian-2.6.32        - Debian patches to version 2.6.32 of the Linux kernel
linux-source-2.6.32                 - Linux kernel source for version 2.6.32 with Debian patches

Faut-il installer les deux et si OUI dans quel ordre?


La réponse est sur la page web http://wiki.fragaholics.de/index.php/DE … ptimierung (c'est en allemand)

Il faut d'abord "déballer" le noyau puis appliquer le patch.

Exemple:

tar zxf linux-2.6.26.8.tar.gz
cd linux-2.6.26.8
zcat ../patch-2.6.26.8-rt16.gz | patch -p1


Il peut y avoir différents intérêts pour installer un kernel plus récent...
Si on veut par exemple utiliser le fichier de système ext4 il faut avoir un noyau >= 2.6.28
http://kernelnewbies.org/Ext4

Le fait de compiler un noyau à partir des sources à l'avantage que le nouveau noyau est optimisé en ce qui concerne le matériel > meilleurs performances. Par contre il faut être patient ... cela peut durer une heure voire plus ...

Dernière modification par Didier100 (13-08-2010 09:19:08)

Hors ligne

Pied de page des forums